import express, { json } from 'express';
import { dogs, cats, Animal } from './data';

const app = express();

app.use(json());

export const findAnimalByName = (
  collection: Pick<Animal, 'name'>[],
  name: string,
) => collection.find((a) => a.name === name);

app.get('/shelter', (req, res) => {
  res.json({
    dogs,
    cats,
  });
});

app.get('/shelter/dogs', (req, res) => {
  res.json(dogs);
});

app.get('/shelter/cats', (req, res) => {
  res.json(cats);
});

app.get('/shelter/animals/:name', (req, res) => {
  res.json(findAnimalByName([...cats, ...dogs], req.params.name));
});

export default app;
