import supertest from 'supertest'

import app from '../src/index';

const request = supertest(app);

describe('Animal Shelter API', () => {
  it('should show dogs', async () => {
    const response = await request.get("/shelter/dogs");
    expect(response.statusCode).toBe(200);

    expect(response.body).toHaveLength(2);
    expect(response.body).toMatchSnapshot("dogs")
  });


  it('should show cats', async () => {
    const response = await request.get("/shelter/cats");
    expect(response.statusCode).toBe(200);

    expect(response.body).toHaveLength(2);
    expect(response.body).toMatchSnapshot("cats")
  });

  it('should find animal by name', async () => {
    const response = await request.get("/shelter/animals/Erik");
    expect(response.statusCode).toBe(200);

    expect(response.body).toMatchSnapshot("erik")
  });

  it('should show animals in shelter', async () => {
    const response = await request.get("/shelter");
    expect(response.statusCode).toBe(200);

    expect(response.body).toMatchSnapshot("shelter")
  });
});
